<template>
    <div>
        <div>
            <v-layout v-if="externos.length != 0">
                <v-flex xs6>Nombre</v-flex>
                <v-flex>Muestras</v-flex>
                <v-flex>Examenes</v-flex>
                <v-flex>Eliminar</v-flex>
                <v-divider></v-divider>
            </v-layout>
        </div>
        <div v-for="(items) in externos" v-bind:key="items.id" :externos="externos">
            <v-layout class="mt-2">
                <v-flex xs6>
                    <span>
                        <router-link to="/dashboard">{{ items.loads.name }}</router-link>
                    </span>
                </v-flex>
                <v-flex>
                    <span>{{ items.muestras }}</span>
                </v-flex>
                <v-flex>
                    <span>{{ items.examenes }}</span>
                </v-flex>
                <v-flex>
                    <v-icon @click="deleteAction(items)">delete</v-icon>
                </v-flex>
            </v-layout>

            <p>{{ items.notes }}</p>
            <v-divider></v-divider>
        </div>
        <delete-dialog @close-dialog="dialog = false"
          v-bind:dialog.sync="dialog"
          :items="toDelete"
          source="/api/task/domicilios/delete/" />

        <snacklocal v-bind:snackbar.sync="snackbar" :message="message" />

    </div>
</template>

<script>
import DeleteDialog from '../taskDialog/TaskDialogDelete';
import server from '../../server';
import snacklocal from '../SnackBarLocal';

export default {
    name: 'ListDomicilios',
    props: ['externos'],
    components: {
        DeleteDialog,
        snacklocal
    },
    data() {
        return {
            dialog: false,
            toDelete: {},
            snackbar: false,
            message: '',
            server: server
        }
    },
    methods: {
        deleteAction(item) {
            console.log(item)
            this.dialog = true;
            this.toDelete = item;

        },
        // Necesario para DeleteDialog component
        deleteMessage() {
            this.snackbar = true;
            this.message = "El registro fue borrado exitosamente";
            this.setTaskDetail(this.$route.params.id);
        },
        setTaskDetail(id) {
            this.$store.dispatch('setTaskDomiciliosDetail', id);
        }
    }
}
</script>

<style>

</style>
